import request from '@/utils/request'

// 查询银行信用评级信息列表
export function listRatings(query) {
  return request({
    url: '/basicData/xcrBankCreditRatings/findByPage',
    method: 'get',
    params: query
  })
}

// 查询银行信用评级信息详细
export function getRatings(id) {
  return request({
    url: '/basicData/xcrBankCreditRatings/' + id,
    method: 'get'
  })
}

// 新增银行信用评级信息
export function addRatings(data) {
  return request({
    url: '/basicData/xcrBankCreditRatings',
    method: 'post',
    data: data
  })
}

// 修改银行信用评级信息
export function updateRatings(data) {
  return request({
    url: '/basicData/xcrBankCreditRatings',
    method: 'put',
    data: data
  })
}

// 删除银行信用评级信息
export function delRatings(id) {
  return request({
    url: '/basicData/xcrBankCreditRatings/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delRatingsBatch(ids) {
  return request.post('/basicData/xcrBankCreditRatings/delete',ids)
}
